summaryrefslogtreecommitdiffstats
path: root/system/qemu
diff options
context:
space:
mode:
Diffstat (limited to 'system/qemu')
-rw-r--r--system/qemu/README14
-rw-r--r--system/qemu/qemu.SlackBuild74
-rw-r--r--system/qemu/qemu.info8
-rw-r--r--system/qemu/slack-desc6
4 files changed, 102 insertions, 0 deletions
diff --git a/system/qemu/README b/system/qemu/README
new file mode 100644
index 0000000000..fd2868f0e4
--- /dev/null
+++ b/system/qemu/README
@@ -0,0 +1,14 @@
+QEMU is a generic and open source processor emulator which achieves a good emulation speed by using dynamic translation.
+
+
+QEMU has two operating modes:
+
+Full system emulation. In this mode, QEMU emulates a full system (for example a PC), including a processor and various peripherials. It can be used to launch different Operating Systems without rebooting the PC or to debug system code.
+
+User mode emulation (Linux host only). In this mode, QEMU can launch Linux processes compiled for one CPU on another CPU.
+
+
+An optional proprietary QEMU Accelerator Module (kqemu) is available to optimize the case where a PC is emulated on a PC. This module enables QEMU to run most of the target application code directly on the host processor to achieve near native performance.
+
+This build of QEMU is built with support for kqemu. To achieve this, the QEMU build process probes for current kernel path. A different kernel path can be set by editing qemu.SlackBuild. QEMU and kqemu should be built and used against the same kernel version.
+If you are not planning on using kqemu, you may edit the SlackBuild and remove the --enable-kqemu line if you wish. \ No newline at end of file
diff --git a/system/qemu/qemu.SlackBuild b/system/qemu/qemu.SlackBuild
new file mode 100644
index 0000000000..ff00d26222
--- /dev/null
+++ b/system/qemu/qemu.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+## Written by hollywoodb (hollywoodb@fastmail.fm)
+## Feel free to use, modify, redistribute this script.
+## If you make changes please modify the "Written by"
+## so that I don't recieve emails about a script I
+## did not write. Thanks.
+
+## Modified by the SlackBuilds.org project
+
+if [ "$(id -u)" != "0" ]; then
+ echo "This script must be run as root!"
+ exit
+fi
+
+NAME=qemu
+VERSION=0.8.2
+ARCHIVE=tar.gz
+
+ARCH=${ARCH:-i486}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=${PKG:-$TMP/package-$NAME}
+OUTPUT=${OUTPUT:-/tmp}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+rm -rf $PKG $TMP/$NAME-$VERSION
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar zxvf $CWD/$NAME-$VERSION.$ARCHIVE || exit 1
+cd $NAME-$VERSION
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --enable-kqemu \
+ --enable-alsa \
+ --enable-system \
+ --enable-user \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find $PKG | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mv $PKG/usr/share/man $PKG/usr/
+rm -rf $PKG/usr/share/man
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in `find $PKG/usr/man -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$NAME-$VERSION
+mv -v $PKG/usr/share/doc/$NAME/* $PKG/usr/doc/$NAME-$VERSION
+rm -rf $PKG/usr/share/doc
+cp -a {COPYING*,LICENSE,README*,TODO,VERSION} $PKG/usr/doc/$NAME-$VERSION
+cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$NAME-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/qemu/qemu.info b/system/qemu/qemu.info
new file mode 100644
index 0000000000..855bac2199
--- /dev/null
+++ b/system/qemu/qemu.info
@@ -0,0 +1,8 @@
+PRGNAM="qemu"
+VERSION="0.8.2"
+HOMEPAGE="http://fabrice.bellard.free.fr/qemu/"
+DOWNLOAD="http://fabrice.bellard.free.fr/qemu/qemu-0.8.2.tar.gz"
+MD5SUM="5b3a89eb2f256a8a6f3bb07f7b3f1b07"
+MAINTAINER="hollywoodb"
+EMAIL="hollywoodb@fastmail.fm"
+APPROVED="alien"
diff --git a/system/qemu/slack-desc b/system/qemu/slack-desc
new file mode 100644
index 0000000000..9c6e4a342d
--- /dev/null
+++ b/system/qemu/slack-desc
@@ -0,0 +1,6 @@
+ |-----handy-ruler--------------------------------------------------------|
+qemu: qemu (open source processor emulator)
+qemu:
+qemu: QEMU is a generic and open source processor emulator which achieves a
+qemu: good emulation speed by using dynamic translation.
+qemu: